1. Tokens
SCAEM
  • Back to home
  • api.dataemergencia.com
  • Endpoints
    • V1
      • Generators
        • Series Generator
        • Code Generator
        • Code Retrival
        • Code Remaining
      • Whatsapp
        • Test Message Template Copy
        • Test Message Emergency Template One
        • Test Message Template
        • Test Message Text
      • Tokens
        • Generate Token
          POST
        • Register Application
          POST
        • Generate Application Token
          POST
        • Patch Application Token
          PATCH
      • Auth
        • Logout
        • CSRF
        • Relationship
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Welcome
        GET
    • V2
      • Fmd
        • FMD
        • FMD Model Data
        • FMD Models Data
        • FMD Existence
        • Check existent FMD
        • Relationship
        • FMD Patch Emergency Contacts
        • FMD Patch Template Type
        • FMD Patch
        • FMD Update Emergency Contacts
      • Auth
        • Logout
        • Register
        • Login
      • Product
        • Product
      • Google Maps
        • Google Maps | Search Based URL Generator
      • WhatsApp
        • Send Template Message
      • Generators
        • Code Generator Carnet QR Pattern
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Emergency
        • Emergencies
        • Emergency
        • Emergency
        • Emergency
        • Emergency Copy
      • Subscription
        • Subscription
      • Project
        • Create Project Access Url
      • SGI-API-Chatwoot
        • Send messages to Chatwoot Inbox API (broke)
        • Send Location Message
        • Create Contact
      • Codes
        • Generate Code By Prefix
        • Generate Code By Prefix Copy
  • Test
    • Auth
      • Login
      • Register
    • Broadcasting
      • WhatsApp Broadcasting Event Trigger
      • WhatsApp Broadcasting Status Event Trigger
      • WhatsApp Broadcasting Event Trigger For Routing to Correct Recipient
    • Media Test Hardcoded
      GET
    • oauth-broke
      GET
    • user_pic
      GET
    • Test Connection
      GET
    • Me
      GET
  • External
    • Whatsapp
      • Resumable API
        • Start Media Uploading Session
        • Upload Media
      • WhatsApp Media Assets API
        • Download Media
        • Test Whatsapp Image Download
        • Test Whatsapp Image URL Retrieval
      • Test Message
      • second_test_message template
      • Verify Phone Number
      • Check conversations
  • Health
    GET
  1. Tokens

Patch Application Token

Developing
PATCH
/{{v1}}/auth/token/update
This endpoint is in charge of making the single update of the registration token of an external application in the API, in case of requiring to change the current one for security reason, and only if this application for this project already exists.
If not registered the endpoint to use should be /register.
If registered but it doesn't have the application you can try /generate

Request

Body Params application/json

Example
{
    "project_code": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request PATCH '/{{v1}}/auth/token/update' \
--header 'Content-Type: application/json' \
--data '{
    "project_code": "string"
}'

Responses

🟢200Success
application/json
If the request goes well, it shall send credentials to the client, for further use
Bodyapplication/json

Example
{
    "registration_id": "dfa45616-e9f9-45be-881e-a1ed8ae70224",
    "registration_token": "api_key|6O7A2yUY8gNAoc1GSpW1blcphw1EGJ654OGma05ane8jpXrCsAuzdQaoJABzQxII",
    "token_expiration": "2025-05-24T18:18:22.265Z",
    "token_type": "Bearer"
}
Modified at 2025-04-01 14:23:17
Previous
Generate Application Token
Next
Logout
Built with